ul {
    margin: 20px;
    list-style:  none;
    border-radius: 5px;
}

li.entrie {
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.374);
    border-radius: 10px;

}

li.entrie:not(:first-child) {
    margin: 1rem 0;
}

li.entrie > header {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    background-color: rgb(230, 230, 230);
}

.contenidoEntrada {
    font-family: fantasy;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    gap: 8px;

}

.contenidoEntrada > div {
    border-style: inset;
    color: black;
    padding: 5px;
}

.footerEntrada {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footerEntrada > button {
    width: 60px;
    height: 30px;
    margin-right: 18px;
    font-family: fantasy;
}
.numeroVotos {
   flex-grow: 1;
   font-family: fantasy;
   margin-top: 6px;
   color: black;
}

li.entrie > div > div.heart {
    cursor: pointer;
    height: 60px;
    width: 60px;
    background-image: url('/public/heart_animation.png');
    background-position: left;
    background-repeat: no-repeat;
    background-size: 2900%;
}

li.entrie > div > div.heart:hover {
    background-position: right;
}
li.entrie > div > div.heart.vote {
    animation: heart-burst 0.8s steps(28) 1;
    animation-fill-mode: forwards;
}
@keyframes heart-burst {
    from {
        background-position: left;
    }
    to {
        background-position: right;
    }
}


